org.bdgenomics.adam.cli

# TransformAlignmentsArgs

###
Related Doc: package cli

#### class TransformAlignmentsArgs extends Args4jBase with ADAMSaveAnyArgs with ParquetArgs

Linear Supertypes
ParquetArgs, ADAMSaveAnyArgs, SaveArgs, ParquetRDDArgs, Args4jBase, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. TransformAlignmentsArgs
2. ParquetArgs
3. ADAMSaveAnyArgs
4. SaveArgs
5. ParquetRDDArgs
6. Args4jBase
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new TransformAlignmentsArgs()

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### var asSingleFile: Boolean

   Definition Classes
     TransformAlignmentsArgs → ADAMSaveAnyArgs

6. #### var binQualityScores: String

7. #### var blockSize: Int

   Definition Classes
     ParquetArgs → ParquetRDDArgs

8. #### var cache: Boolean

9. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

10. #### var coalesce: Int

11. #### var command: String

12. #### var compressionCodec: CompressionCodecName

    Definition Classes
      ParquetArgs → ParquetRDDArgs

13. #### var concatFilename: String

14. #### var deferMerging: Boolean

    Definition Classes
      TransformAlignmentsArgs → ADAMSaveAnyArgs

15. #### var disableDictionaryEncoding: Boolean

    Definition Classes
      ParquetArgs → ParquetRDDArgs

16. #### var disableFastConcat: Boolean

    Definition Classes
      TransformAlignmentsArgs → ADAMSaveAnyArgs

17. #### var disableProcessingStep: Boolean

18. #### var doPrintUsage: Boolean

    Definition Classes
      Args4jBase

19. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

20. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

21. #### var fastqRecordGroup: String

22. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

23. #### var forceLoadBam: Boolean

24. #### var forceLoadFastq: Boolean

25. #### var forceLoadIFastq: Boolean

26. #### var forceLoadParquet: Boolean

27. #### var forceShuffle: Boolean

28. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

29. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

30. #### var inputPath: String

31. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

32. #### var knownIndelsFile: String

33. #### var knownSnpsFile: String

34. #### var limitProjection: Boolean

35. #### var locallyRealign: Boolean

36. #### var lodThreshold: Double

37. #### var logLevel: String

    Definition Classes
      ParquetArgs

38. #### var markDuplicates: Boolean

39. #### var maxConsensusNumber: Int

40. #### var maxIndelSize: Int

41. #### var maxReadsPerTarget: Int

42. #### var maxTargetSize: Int

43. #### var mdTagsFragmentSize: Long

44. #### var mdTagsOverwrite: Boolean

45. #### var mdTagsReferenceFile: String

46. #### var minAcceptableQuality: Int

47. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

48. #### final def notify(): Unit

    Definition Classes
      AnyRef

49. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

50. #### var outputPath: String

    Definition Classes
      TransformAlignmentsArgs → SaveArgs

51. #### var pageSize: Int

    Definition Classes
      ParquetArgs → ParquetRDDArgs

52. #### var pairedFastqFile: String

53. #### var printMetrics: Boolean

    Definition Classes
      Args4jBase

54. #### var recalibrateBaseQualities: Boolean

55. #### var reference: String

56. #### var regionPredicate: String

57. #### var repartition: Int

58. #### var sortFastqOutput: Boolean

    Definition Classes
      TransformAlignmentsArgs → ADAMSaveAnyArgs

59. #### var sortLexicographically: Boolean

60. #### var sortReads: Boolean

61. #### var storageLevel: String

62. #### var stringency: String

63. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

64. #### def toString(): String

    Definition Classes
      AnyRef → Any

65. #### var unclipReads: Boolean

66. #### var useAlignedReadPredicate: Boolean

67. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

68. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

69. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from ParquetArgs

### Inherited from ADAMSaveAnyArgs

### Inherited from SaveArgs

### Inherited from ParquetRDDArgs

### Inherited from Args4jBase

### Inherited from AnyRef

### Inherited from Any

### Ungrouped